# tauri

构建更小更快更安全的桌面app，支持 windows，mac，linux，暂不支持手机端，打包 .msi，自更新 ，接着**使用vue/react等web框架写界面**。


## Develop

```
cp tauri/.cargo/config ~/.cango

cargo install create-tauri-app --locked --verbose
cargo create-tauri-app
# https://tauri.app/v1/guides/getting-started/setup

```

## Pake

基于tauri 快速构建桌面应用，只需输入网址即可：
https://github.dev/tw93/Pake

```
# 配置 rustup
PATH="$HOME/.cargo/bin:$PATH"
# 修改 1.78 为版本1.77.2
vim /usr/lib/node_modules/pake-cli/src-tauri/Cargo.toml

# 修复 ubuntu24 错误
vim /etc/apt/sources.list.d/ubuntu.sources

Types: deb
URIs: http://gb.archive.ubuntu.com/ubuntu
Suites: jammy
Components: main

apt update
apt install libwebkit2gtk-4.0-dev \
    build-essential \
    curl \
    wget \
    file \
    libssl-dev \
    libgtk-3-dev \
    libayatana-appindicator3-dev \
    librsvg2-dev

pake https://weekly.tw93.fun --name weekly --hide-title-bar

```

## Reference

下面是tauri 打包跨平台应用：

https://gitee.com/qiaoshengda/es-client


